

	clear all
	set	more off
	set scrollbufsize 2048000
	capture log close 


	global replication "/Users/zhangyi/Desktop/replication"	
	global rawdata  "$replication/rawdata"
	global workingdata  "$replication/workingdata"
	global table  "$replication/output/table"
	global figure  "$replication/output/figure"
	cd "$replication" 



*=========== 正文图2 ==============*	
*=========== 正文图2 ==============*	
*=========== 正文图2 ==============*
	use "$rawdata/fig_2_4.dta",clear 
	twoway (connected total_type3  creat_year, lwidth(medium) msymbol(D) mc(black) lc(black)) ///
			(connected total_type6 creat_year , lwidth(medium) msymbol(S) mc(black) lc(black)) ///
	 		(connected total_nursing creat_year , lwidth(medium) msymbol(O) mc(black) lc(black)), ///
	xlabel(2010(1)2020)  ///
	ytitle("机""构""进""入""数""量" ,size(6pt) angle(90) orientation(horizontal))  ///
	legend ( order(1 "医疗类居家机构：医疗照护+生活照料"   3 "养老院：医疗照护+生活照料" 2 "社区照护机构：生活照料" ) ring(0) pos(11) size(small) col(1)  )  ///
	graphregion(color(white))  xsize(4.5) ysize(3)  
	graph save "$figure/figure2.gph",replace  



*=========== 正文图4 ==============*	
*=========== 正文图4 ==============*	
*=========== 正文图4 ==============*
	twoway (connected total_area1  creat_year, lwidth(medium) msymbol(Th) mc(black) lc(black)) ///
			(connected total_area2 creat_year , lwidth(medium) msymbol(Sh) mc(black) lc(black)) ///
	 		(connected total_area3 creat_year , lwidth(medium) msymbol(Dh) mc(black) lc(black)) ///
	 		(connected total   creat_year , lwidth(medium) mc(black)  lc(black)) , ///
	xlabel(2010(1)2020)  ///
	ytitle("数""量",size(8pt) angle(90) orientation(horizontal))  ///
	xtitle("成立年份",size(6pt)) ///
	legend ( order(4 "全国" 1 "东部地区" 2 "中部地区"  3 "西部地区") ring(0) pos(11) size(small) col(1) )  ///
	graphregion(color(white)) xsize(4.5) ysize(3) note("数据来源：根据本文数据绘制")
	
	graph save "$figure/figure4.gph",replace  


*=========== 正文图1 ==============*	
*=========== 正文图1 ==============*	
*=========== 正文图1 ==============*
	use "$rawdata/fig_1_5.dta",clear

	keep if year<2021
	
	gen bed_nation1=bed_nation/10000
	
	label var bed_nation1 "养老床位数"
	label var per_bed_nation "千人均养老床位"

	twoway (connected bed_nation1 year,yaxis(1) lwidth(medium) msymbol(O) mc(black) lc(black) ) ///
		(connected per_bed_nation year,yaxis(2) lwidth(medium) msymbol(S) mc(black) lc(black)), ///
       	xlabel(2010(1)2020)  ///
		xtitle("年份",angle(90) orientation(horizontal))  ///
         ytitle("养""老""床""位""(万)",angle(90) orientation(horizontal) axis(1))  ///
         ytitle("千""人""均""养""老""床""位",angle(90) orientation(horizontal) axis(2)) ///
		legend ( ring(0) pos(11) size(small) col(1) )  ///
		graphregion(color(white))   note("数据来源：中国统计年鉴，民政部统计季报")
	graph save "$figure/figure1.gph",replace  


*=========== 正文图5 ==============*	
*=========== 正文图5 ==============*	
*=========== 正文图5 ==============*
	twoway (connected per_bed1 year, lwidth(medium) msymbol(Th) mc(black) lc(black)) ///
	(connected per_bed2 year , lwidth(medium) msymbol(Sh) mc(black)  lc(black)) ///
	(connected per_bed3 year , lwidth(medium) msymbol(Dh) mc(black)  lc(black)) ///
	(connected per_bed_nation year , lwidth(medium) mc(black) lc(black) ) , ///
	xlabel(2010 2011 2012 2013 2014 2016 2017 2018 2019 2020)  ///
	ytitle("千""人""均""养""老""床""位",angle(90) orientation(horizontal))  ///
	xtitle("年份",angle(90) orientation(horizontal))  ///
	legend ( order( 4 "全国" 1 "东部地区" 2 "中部地区"  3 "西部地区" ) ring(0) pos(11) size(small) col(1) )  ///
	graphregion(color(white)) xsize(4.5) ysize(3) note("数据来源：中国统计年鉴，民政部统计季报", size(vsmall))
	
	graph save "$figure/figure5.gph",replace  



*=========== 正文图6 ==============*	
*=========== 正文图6 ==============*	
*=========== 正文图6 ==============*	
	use "$rawdata/figure6.dta",clear
	twoway (scatter ln_total_per15 ln_pop,msymbol(Oh)  color(navy) ) (lfit ln_total_per15 ln_pop) ,  ///
	xtitle("Ln（城市人口（万））") ytitle("Ln（人均（万）老年照护机构）")  ///
	graphregion(color(white)) bgcolor(white)  legend(off)
	graph save "$figure/figure6.gph",replace







